Page MenuHomePhabricator

Figure out how communications and meetings will work for the Tool Labs standards committee
Closed, ResolvedPublic

Description

  • Does the committee want a mailing list for internal discussions?
  • Does the committee want an irc channel?
  • Does the committee want to meet on some regular or semi-regular basis via irc or video chat to discuss setting policies and planning activities to promote good practices in the Tool Labs developer community?

Event Timeline

bd808 created this task.Jan 23 2017, 10:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 23 2017, 10:44 PM

I don't want to try and force any particular workflow or practices on the committee, but I am more than happy to help you start to organize.

Harej added a subscriber: Harej.Jan 23 2017, 10:48 PM

We should probably get a mailing list.

Absent any specific business we should probably plan on having quarterly meetings, at the very least. One thing we'll want to decide is how proactive the committee is, as opposed to being a purely reactive committee that responds to requests and that's it.

Absent any specific business we should probably plan on having quarterly meetings, at the very least. One thing we'll want to decide is how proactive the committee is, as opposed to being a purely reactive committee that responds to requests and that's it.

The Right to fork policy states:

The committee is also given a mandate to work with and encourage developers to publish their tool's source code on their own, and socialize the need for publicly available source code. This could involve reviewing newly created tools and filing bugs asking developers to publish their code as well as being a support resource for questions about licensing, compatibility, and related areas.

I hope that means that the committee will be proactive in helping promote best practices in development. The first place that you could all get involved is in helping get people off of the Precise grid engine nodes in advance of the 2017-03-06 hard deadline from T94792: Remove support for precise OGE exec hosts.

Huji added a subscriber: Huji.Jan 23 2017, 11:03 PM

I think quarterly is an absolute minimum. And I think we need a mailing list and an IRC channel.

We should probably hold a meeting in the next few weeks to discuss high level questions like how proactive we should be, etc.

Yes, IRC channel plus mailing list. I wouldn't like to go PM-ing with 6 people at once ;)

I'd like to have a hidden satanic cult in Alps (preferably Switzerland) for the meetings but that's up to other members. Beside that I think we need:

  • A private mailing list
  • A public IRC channel
  • A private IRC channel
  • A quarterly meeting via hangout.
Quiddity added a subscriber: Quiddity.
  • Email: I think just a private mailing list, might be sufficient to start with?

I've started a basic task at T156218: Create mailing list for Tool-Labs-standards-committee
We just need to agree on a name (!!). Either tlsc@lists.wikimedia.org or tool-labs-standards-committee@lists.wikimedia.org ? (I have no preference, auto-complete knows all!)
Plus someone else needs to volunteer to be the backup spam-recipient/list-admin.

  • Meetings: +1 to a regular meeting via hangout (somewhere between monthly or quarterly, as needed). (We can start a Doodle on the mailing list, to figure out times)
  • IRC: We can use the existing IRC channel Cloud-Services for public discussion.
  • Other: If we were to create additional private or public channels, it would (for me) just add to the proliferation of options ("Where should I go to ask about X?"), as well as extensive IRC channel list and Gmail filter needs, so let's not create too many things preemptively, until a need comes up?
  • +1 for tool-labs-standards-committee@lists.wikimedia.org
  • Meetings: +1 to a regular meeting via hangout (~quarterly)

(I have no preference, auto-complete knows all!)

+1. Just one thought: there are Arbcom, ArchComm, AffCom, LangCom, etc., do we want a shorter alias as well?

  • IRC: We can use the existing IRC channel Cloud-Services for public discussion.

I would say that all the wikibugs and shinken notifications in #wikimedia-labs are way too noisy. I'd prefer if we have a subchannel.

Regarding IRC public vs private channel: considering that the private information we are handling are source code + secrets (tokens, passwords), I do not sense that there will be a great need for them to be communicated live on IRC. A public subchannel would suit well.

I volunteer to be the list admin/spam handler. I agree quterly meetings is a good idea.

I think we should also create a list of tools still on precise and work on a roadmap with devs, I would volunteer to that as well if the committee thinks it is s good start for first task.

I think we should also create a list of tools still on precise and work on a roadmap with devs, I would volunteer to that as well if the committee thinks it is s good start for first task.

@madhuvishy has been making some progress towards creating a list based on a combination of the OGE accounting data and the live jobs on the grid in T149214: Make a nag system to email maintainers of tools still running on precise grid hosts. I'm sure she would welcome any help you can offer. Maybe we could make something like https://tools.wmflabs.org/extreg-wos/ that keeps track of which tools that could use help migrating. I'd hope we can find a better name than "wall of sadness" though.

@madhuvishy has been making some progress towards creating a list based on a combination of the OGE accounting data and the live jobs on the grid in T149214: Make a nag system to email maintainers of tools still running on precise grid hosts. I'm sure she would welcome any help you can offer. Maybe we could make something like https://tools.wmflabs.org/extreg-wos/ that keeps track of which tools that could use help migrating. I'd hope we can find a better name than "wall of sadness" though.

Filed T156386: Create a wall for tools migration to trusty

Huji added a comment.Feb 2 2017, 4:17 AM

For private chats, I created #wikimedia-labs-standards-committee and gave all of you access. It is invite only (you might want to add your cloaks so you don't need to invite yourself).

For private chats, I created #wikimedia-labs-standards-committee and gave all of you access. It is invite only (you might want to add your cloaks so you don't need to invite yourself).

Awesome! I've added five to the invite exempt list:

16:14 zhuyifei1999_ added *!*@wikimedia/zhuyifei1999 to the invite list (+I)
16:15 zhuyifei1999_ added *!*@wikimedia/Huji to the invite list (+I)
16:18 zhuyifei1999_ added *!*@wikipedia/harej to the invite list (+I)
16:18 zhuyifei1999_ added *!*@wikimedia/matanya to the invite list (+I)
16:19 zhuyifei1999_ added *!*@wikipedia/quiddity to the invite list (+I)

@Ladsgroup @eranroz Sorry but I can't find your cloaks...

I'm Amir1 as mentioned in my user profile here (@Ladsgroup) and everywhere in Wikipedia.

I'm eranroz as mentioned in phabricator profile and in metawiki

For clarification, I meant https://meta.wikimedia.org/wiki/IRC/Cloak. The standard practice is to add to the invite-exempt list with a mask on the cloak so it's more secure than using IP addresses and hostmasks. Last I checked, you don't have a cloak attached to your account. Anyways, like Huji said, without a clock, you can still invite yourself by /cs invite #wikimedia-labs-standards-committee as long as you're logged in.

Quiddity updated the task description. (Show Details)Feb 12 2017, 1:32 AM

I think we just need these actions, to resolve this task:

  1. Amir1, Huji, and EranRoz, to join the IRC channel.
  2. Discuss a regular meeting. (Not everyone is permanently on IRC, so I guess the mailing list will be our "coordinate with everyone" method. I've started a thread...)
Huji added a comment.Feb 12 2017, 3:54 PM

I made the IRC channel ;) If I am not there, it is because I am either not working on any WMF related project (e.g. I am at work, or at a family function) or that I am on such a spotty internet that it cannot even handle IRC.

I will try to be on IRC more often though.

Quiddity closed this task as Resolved.Feb 22 2017, 7:44 PM

Declaring resolved. Followup continues in mailing list.